Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.core
Enum Commands.Cmd

    java.lang.Object
      java.lang.Enum<Commands.Cmd>
          org.basex.core.Commands.Cmd

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Commands.Cmd>

Enclosing interface:
  Commands

    public static enum Commands.Cmd

extends java.lang.Enum<Commands.Cmd>

Command definitions.

Enum Constant Summary
`C`
`CLOSE`
`COPY`
`CREATE`
`CS`
`DELETE`
`DROP`
`EXIT`
`EXPORT`
`FIND`
`HELP`
`HELPDATABASE`
`HELPGENERAL`
`HELPQUERY`
`HELPUPDATE`
`I`
`INFO`
`INSERT`
`INTINFO`
`INTOUTPUT`
`INTPROMPT`
`INTSTOP`
`LIST`
`O`
`OPEN`
`OPTIMIZE`
`Q`
`QUIT`
`RUN`
`SET`
`UPDATE`
`X`
`XQUERY`
`XQUERYMV`

Method Summary
`java.lang.String` | `help(boolean detail)` Returns a help string.
`static Commands.Cmd` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Commands.Cmd[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HELPDATABASE

    public static final Commands.Cmd HELPDATABASE

### C

    public static final Commands.Cmd C

### CREATE

    public static final Commands.Cmd CREATE

### O

    public static final Commands.Cmd O

### OPEN

    public static final Commands.Cmd OPEN

### I

    public static final Commands.Cmd I

### INFO

    public static final Commands.Cmd INFO

### CLOSE

    public static final Commands.Cmd CLOSE

### LIST

    public static final Commands.Cmd LIST

### DROP

    public static final Commands.Cmd DROP

### EXPORT

    public static final Commands.Cmd EXPORT

### OPTIMIZE

    public static final Commands.Cmd OPTIMIZE

### HELPQUERY

    public static final Commands.Cmd HELPQUERY

### X

    public static final Commands.Cmd X

### XQUERY

    public static final Commands.Cmd XQUERY

### XQUERYMV

    public static final Commands.Cmd XQUERYMV

### RUN

    public static final Commands.Cmd RUN

### FIND

    public static final Commands.Cmd FIND

### CS

    public static final Commands.Cmd CS

### HELPUPDATE

    public static final Commands.Cmd HELPUPDATE

### COPY

    public static final Commands.Cmd COPY

### DELETE

    public static final Commands.Cmd DELETE

### INSERT

    public static final Commands.Cmd INSERT

### UPDATE

    public static final Commands.Cmd UPDATE

### HELPGENERAL

    public static final Commands.Cmd HELPGENERAL

### SET

    public static final Commands.Cmd SET

### HELP

    public static final Commands.Cmd HELP

### EXIT

    public static final Commands.Cmd EXIT

### Q

    public static final Commands.Cmd Q

### QUIT

    public static final Commands.Cmd QUIT

### INTPROMPT

    public static final Commands.Cmd INTPROMPT

### INTOUTPUT

    public static final Commands.Cmd INTOUTPUT

### INTINFO

    public static final Commands.Cmd INTINFO

### INTSTOP

    public static final Commands.Cmd INTSTOP

Method Detail

### values

    public static Commands.Cmd[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Commands.Cmd c : Commands.Cmd.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Commands.Cmd valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### help

    public final java.lang.String help(boolean detail)

  Returns a help string.

  Parameters:
    `detail` - show details
  Returns:
    string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD